//
//  GameViewController.swift
//  BrickBreakerDemo
//
//  Created by Sally McNichols on 10/6/14.
//  Copyright (c) 2014 CMU iOS Development StuCo. All rights reserved.
//

import UIKit
import SpriteKit

class GameViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // TODO
    }

    // view controller contents can autorotate if user rotates phone
    // to play game in other landscape direction
    override func shouldAutorotate() -> Bool {
        return true
    }

    // returns the orientations that this view controller supports
    override func supportedInterfaceOrientations() -> UIInterfaceOrientationMask {
        if UIDevice.currentDevice().userInterfaceIdiom == .Phone {
            return UIInterfaceOrientationMask.AllButUpsideDown
        } else {
            return UIInterfaceOrientationMask.All
        }
    }

    // hide the status bar (top of phone where you see time, battery, etc.)
    override func prefersStatusBarHidden() -> Bool {
        return true
    }
}
